filemap_fault
Prev | More Memory Management Functions | Next

## Name

filemap_fault — read in file data for page fault handling

## Synopsis

`int filemap_fault (` | struct vm_area_struct * | vma,
| struct vm_fault * | vmf`)`;

## Arguments

`vma`

  vma in which the fault was taken

`vmf`

  struct vm_fault containing details of the fault

## Description

`filemap_fault` is invoked via the vma operations vector for a mapped memory region to read in file data during a page fault.

The goto's are kind of ugly, but this streamlines the normal case of having it in the page cache, and handles the special cases reasonably without having a lot of duplicated code.

Prev | Up | Next
generic_file_aio_read | Home | read_cache_page